# DataExchange
TKSTEPBase
StepBasic

# StepBasic_HArray1OfNamedUnit Class Reference

`#include <StepBasic_HArray1OfNamedUnit.hxx>`

## Public Member Functions

Standard_EXPORT | StepBasic_HArray1OfNamedUnit (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepBasic_HArray1OfNamedUnit (const Standard_Integer Low, const Standard_Integer Up, const Handle(StepBasic_NamedUnit)&V)
Standard_EXPORT void | Init (const Handle(StepBasic_NamedUnit)&V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(StepBasic_NamedUnit)&Value)
const Handle_StepBasic_NamedUnit & | Value (const Standard_Integer Index) const
Handle_StepBasic_NamedUnit & | ChangeValue (const Standard_Integer Index)
const StepBasic_Array1OfNamedUnit & | Array1 () const
StepBasic_Array1OfNamedUnit & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

StepBasic_Array1OfNamedUnit | myArray

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_HArray1OfNamedUnit::StepBasic_HArray1OfNamedUnit | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepBasic_HArray1OfNamedUnit::StepBasic_HArray1OfNamedUnit | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Handle(StepBasic_NamedUnit)& | V
| ) |

## Member Function Documentation

const StepBasic_Array1OfNamedUnit& StepBasic_HArray1OfNamedUnit::Array1 | ( |  | ) | const

StepBasic_Array1OfNamedUnit& StepBasic_HArray1OfNamedUnit::ChangeArray1 | ( |  | ) |

Handle_StepBasic_NamedUnit& StepBasic_HArray1OfNamedUnit::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const StepBasic_HArray1OfNamedUnit::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepBasic_HArray1OfNamedUnit::Init | ( | const Handle(StepBasic_NamedUnit)& | V | ) |

Standard_Integer StepBasic_HArray1OfNamedUnit::Length | ( |  | ) | const

Standard_Integer StepBasic_HArray1OfNamedUnit::Lower | ( |  | ) | const

void StepBasic_HArray1OfNamedUnit::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(StepBasic_NamedUnit)& | Value
| ) |

Standard_Integer StepBasic_HArray1OfNamedUnit::Upper | ( |  | ) | const

const Handle_StepBasic_NamedUnit& StepBasic_HArray1OfNamedUnit::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

StepBasic_Array1OfNamedUnit StepBasic_HArray1OfNamedUnit::myArray `[private]`

The documentation for this class was generated from the following file:

- StepBasic_HArray1OfNamedUnit.hxx